Description: set locale directory as standard /usr/share/locale
 .
Author: Hideki Yamane <henrich@debian.org>

---
Origin: vendor
Forwarded: no
Last-Update: 2012-10-08

Index: yudit-2.9.2/Makefile.conf.in
===================================================================
--- yudit-2.9.2.orig/Makefile.conf.in	2012-10-08 12:12:14.334138915 +0900
+++ yudit-2.9.2/Makefile.conf.in	2012-10-08 12:18:30.327006462 +0900
@@ -49,7 +49,7 @@
 #ALL_LIBS=wsock32.lib
 RANLIB=ranlib
 LD= $(CXX) $(LDFLAGS)
-LOCALE_DIR=$(YUDIT_DATA)/locale
+LOCALE_DIR=/usr/share/locale
 #INSTALL_DATA=/bin/cp
 #INSTALL_PROGRAM=/bin/cp
 MESSAGES=messages
Index: yudit-2.9.2/gui/Makefile
===================================================================
--- yudit-2.9.2.orig/gui/Makefile	2012-10-08 12:12:14.334138915 +0900
+++ yudit-2.9.2/gui/Makefile	2012-10-08 12:26:26.032343443 +0900
@@ -64,11 +64,11 @@
 
 install: 
 	@for i in $(LOCALES); do \
-		if test ! -d $(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES; then \
-			mkdir -p $(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES; \
+		if test ! -d $(DESTDIR)/$(datadir)/$$i/LC_MESSAGES; then \
+			mkdir -p $(DESTDIR)/$(datadir)/$$i/LC_MESSAGES; \
 		fi ; \
-		$(INSTALL_DATA) $$i/LC_MESSAGES/messages.[mp]o \
-			$(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES ; \
+		$(INSTALL_DATA) $$i/LC_MESSAGES/messages.mo \
+			$(DESTDIR)/$(datadir)/$$i/LC_MESSAGES/yudit.mo ; \
 		echo installing messages for $$i; \
 	done
 	rm -f $(DESTDIR)/$(bindir)/yudit
@@ -88,7 +88,7 @@
 				exit 1; \
 			fi;  \
 			mv messages.pod messages.po; \
-			msgfmt -o messages.mo messages.po;  \
+			msgfmt -o yudit.mo messages.po;  \
 			cd ../../..; \
 		done ; \
 		echo "end translating  messages" ; \
